Bug 47078 - Empty page with cell borders gets printed out when "Suppress output of empty pages" is enabled
Summary: Empty page with cell borders gets printed out when "Suppress output of empty ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Border
  Show dependency treegraph
 
Reported: 2012-03-07 19:00 UTC by AH
Modified: 2017-06-17 20:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
A sample doc to easily see the problem (8.65 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-03-07 19:01 UTC, AH
Details

Note You need to log in before you can comment on or make changes to this bug.
Description AH 2012-03-07 19:00:17 UTC
As far as my understanding goes, "Suppress output of empty pages" option supposed to exclude empty pages from being printed out when this option is enabled.

And as it is stated in the help menu; "Specifies that empty pages that have no cell contents or draw objects are not printed. Cell attributes such as borders
or background colors are not considered cell contents. Empty pages are not
counted for page numbering."

Therefore, if a page has no data, or objects, that page is considered "Empty"
and will not be printed disregard the border settings.

However, if a page that contains empty cells with only cell borders are included
within a print range, that empty page gets printed out.
Comment 1 AH 2012-03-07 19:01:27 UTC
Created attachment 58150 [details]
A sample doc to easily see the problem
Comment 2 Markus Mohrhard 2012-04-02 18:50:45 UTC
@Astron: Any suggestions from UX POV? This seems like a corner case. Defining a print range together with suppress output of empty pages.
Comment 3 Stefan Knorr (astron) 2012-04-04 06:55:47 UTC
So, I did a bit of testing and noticed that this happened even when choosing "All pages" (which is a print range, but not one where the user actually says, "I want this page!").

So, I think that it should be changed, as Sushi described – otherwise the feature is just broken.

But, going a bit further, if the user specifically lists the empty page, we should print it anyway. For instance (with page 2 being the empty one, as in the test case):
* 1-3 – don't print the empty page
* 1,2,3 – print the empty page
* 1-2 – print the empty page
* 2-3 – print the empty page

Rationale: If the user specifies a print range that includes a more or less empty page, my assumption would be that they might have set the range to specifically print the empty pages.

Does that help/compute?
Comment 4 AH 2012-04-05 19:41:24 UTC
Perhaps, just change what is written in the Help and/or
add additional comment to the Options settings?

Say, the option works differently depending on how print
range is specified?

Or add another options setting to allow users to choose
whether to include empty pages if print range is manually
specified. It is always better to have more options.
Comment 5 Stefan Knorr (astron) 2012-04-06 02:07:35 UTC
Maybe I am misunderstanding something about the behaviour here, but as far as I can see, the option is currently _completely broken_: even if you select the range "All pages", you get empty pages – thus, output of empty pages is actually never suppressed.

The only way to successfully suppress empty pages currently is to choose a print range like "1,3" (for the sample document) where the option won't even come into effect because the user chose a range that already excluded the empty page
Comment 6 AH 2012-04-08 18:37:53 UTC
> Astron
Thank you for getting back to me.

The point of this ISSUE is that only when the borders are set, the option
does not work as expected.

As you can see in the sample doc, the "Empty page" is not suppressed from
printing disregard the print range settings. (Delete the defined print range
and the 2nd page would still be printed)

Remove all the borders from 2nd page of sample doc, it is suppressed from
printing disregard the print range. And fill background of 2nd page, it is
still suppressed from printing.

Therefore, the feature works partially and is NOT "Completely Broken" but
does not work as it should only for the borders.

I am fine with "Print empty pages anyway if it is manually specified to
do so" but in that case, I think what is written on the Help page needs
to be changed to suit the actual behavior.
Comment 7 QA Administrators 2015-09-04 02:48:10 UTC Comment hidden (obsolete)
Comment 8 Buovjaga 2015-11-18 11:49:45 UTC
Still repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: b216cc1b8096eb60c27f67e8c27b7cd756c75e38
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-11-12_00:06:20
Locale: fi-FI (fi_FI)
Comment 9 QA Administrators 2017-01-03 19:36:14 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103